%global momorel 2

Summary: GNU arch revision control system
Name: tla
Version: 1.2.1
Release: %{momorel}m
Group: Development/Tools
URL: http://regexps.srparish.net/www/#Gnu-arch
License: GPL

%NoSource 0 ftp://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz 40c70c9f881a2b0258441a447e1bd53d
Patch0: tla-1.2-texi.patch
# tla-1.2-texi.patch from SuSE tla-1.2-15.4

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: info

Requires: info

# required commands from info arch
# awk
Requires: gawk
# cat,chmod,date,echo,fold,,head,ls,mkdir,printf,pwd,rm,tee,test,touch,tsort,wc
Requires: coreutils
# find,xargs
Requires: findutils
Requires: grep
Requires: sed
# sh
Requires: bash
# more commands
Requires: patch

%description
Gnu arch is a modern and remarkable revision control system. It helps
programmers to coordinate and share their changes to a project's source
code. It helps project managers to organize, track, and control
multi-branch development. It supports both centralized and distributed
projects.

%prep
%setup -q
%patch -p1

%build
cd src
mkdir -p =build
cd =build
%_configure_env ../configure --prefix=%{_prefix}
# We cann't make use of %%configure because the script is not from autotools
make
#make test
# all test passed on 2.6.8-11m i686 (Nov 11 2004)
cd ../docs-tla/texi
makeinfo arch.texi

%install
rm -rf $RPM_BUILD_ROOT
cd src
cd =build
make install destdir=$RPM_BUILD_ROOT
cd ..
install -d $RPM_BUILD_ROOT/%{_infodir}
install -m 644 docs-tla/texi/arch.info $RPM_BUILD_ROOT/%{_infodir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/tla
%{_infodir}/arch.info*
%doc COPYING src/docs-tla/html src/docs-tla/HOWTO.crypto

%ChangeLog
* Tue Feb 15 2005 zunda <zunda at freeshell.org>
- (1.2.1-2m)
- added Requires: for required commands

* Wed Nov 10 2004 zunda <zunda at freeshell.org>
- (1.2.1-1m)
- initial import
